Bug 1038397 - Role Based Access Control (RBAC) does not work with Java Security Manager (JSM) enabled
Summary: Role Based Access Control (RBAC) does not work with Java Security Manager (JS...
Status: CLOSED NOTABUG
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Domain Management
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: EAP 6.3.0
Assignee: Scott Mumford
QA Contact: Russell Dickenson
URL:
Whiteboard:
Keywords: Reopened
: 1035231 (view as bug list)
Depends On:
Blocks: 1036618 1040480
TreeView+ depends on / blocked
 
Reported: 2013-12-05 04:10 UTC by David Jorm
Modified: 2015-02-23 01:36 UTC (History)
4 users (show)

(edit)
When JBoss EAP 6 was run with the Java Security Manager enabled, the Role-Based Access-Control system was effectively disabled because in this situation all authenticated users were treated as SuperUsers. The only way to use Role-Based Access-Control was without the Java Security Manager enabled.

This issue was fixed in this release by making all access to the current `AccessControlContext` happen outside of the privileged action.  As a result, Role-Based Access-Control is now still effective when enabling the Java Security Manager.
Clone Of:
(edit)
Last Closed: 2015-02-23 01:36:41 UTC


Attachments (Terms of Use)

Description David Jorm 2013-12-05 04:10:41 UTC
Description of problem:

Please cover this in the release notes for EAP 6.2.0 GA.

When Red Hat JBoss EAP 6 is run with the Java Security Manager (JSM) enabled, the Role Based Access Control (RBAC) system is effectively disabled because in this situation all authenticated users are treated as SuperUsers. The only way to use RBAC currently is without the JSM enabled.

Comment 3 Scott Mumford 2014-07-17 00:03:21 UTC
*** Bug 1035231 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.